package com.jasamedika.medifirst2000.dao.custom.impl;

import javax.persistence.Query;

import org.springframework.stereotype.Repository;

import com.jasamedika.medifirst2000.dao.custom.KualifikasiJurusanDaoCustom;
import com.jasamedika.medifirst2000.dao.custom.base.impl.CoreDaoImpl;
import com.jasamedika.medifirst2000.entities.KualifikasiJurusan;


@Repository 
public class KualifikasiJurusanDaoCustomImpl extends CoreDaoImpl<KualifikasiJurusan> implements KualifikasiJurusanDaoCustom {

	public KualifikasiJurusanDaoCustomImpl() {
		super(KualifikasiJurusan.class);
	}

	@Override
	public int getIdKualifikasiJurusanByNama(String nama) {
		StringBuffer buffer = new StringBuffer();
		buffer.append("  select model.id from KualifikasiJurusan model "
				+ " where lower(model.kualifikasiJurusan)=:nama");
	
		Query query = em.createQuery(buffer.toString());
		query.setParameter("nama", nama);
		 
		Integer result = (Integer) query.getSingleResult();
		 
		return result;
	}

	 
}
